extension:
  name: acme-internal
  display_name: Acme Internal KB Adapter
  version: 0.1.0
  host: science
  category: private_knowledge
  description: |
    Tenant-bound extension — only visible to the `acme` tenant.
    Demonstrates the Phase-3 visibility model (EldricOS.md §8002):
    extensions bound to a tenant at install time, invisible across
    tenants by default, cross-tenant sharing requires explicit
    `eldric ext share` admin action.

    This manifest references `tenant: acme`. If the acme tenant is
    not registered at boot, the extension still loads but logs a
    warning and stays hidden behind the visibility filter.

  model: A
  runtime: python
  entry_point: eldric_ext_acme_internal.main:serve

  tenant: acme
  shared_with: []              # admin can add via POST /api/v1/extensions/share

  capabilities:
    - search
    - fetch

  tools:
    - acme.search
    - acme.fetch

  license_tier: enterprise
  signature_key: ""
